/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.model;

import java.util.Collection;

public class TranslatableMessage extends Message<Translatable> {
	public TranslatableMessage(UmbrellaUser sender, Translatable subject, Translatable body, Collection<Attachment> attachments) {
		super(sender, subject, body, attachments);
	}

	public TranslatedMessage translate(String lang){
		var translated = new TranslatedMessage(sender(),subject().translate(lang),body().translate(lang),attachments());
		translated.utcTime(this.utcTime());
		return translated;
	}
}
